<?php
// test fixu chyby http://wtf.dalten.com/dalten/nextapp-s0/issues/2941/
require __DIR__ . '/../lib/Serenity/Common/ClassLoader.php';
$autoload = new Serenity_Common_ClassLoader();
$autoload->addClassDir(realpath(__DIR__) . '/../lib');
$autoload->enableAutoloading();

$advert = new Dalten_Xml_Template_Root('advert');
$advert->addElement('test', 'test');

$root = new SimpleXMLElement('<root/>');
$advert->fill($root, array('test'=>'foo &bar'));

echo $root->test;